package applicatif;

import javax.swing.*;
import java.awt.event.*;
import javax.swing.tree.*;
import metier.*;

/**
 * Cette classe correspond  l'action de suppression d'un noeud 
 * dans l'arbre des signets. 
 */
public class SupprNoeudAction extends ArbreAction {

  public SupprNoeudAction(JTree t) {
    super(t);
  }
  
  /**
   * Cette mthode supprime le noeud slectionn, en demandant
   * au pralable une confirmation  l'utilisateur.  
   */
  public void actionPerformed(ActionEvent e) {
    DefaultMutableTreeNode noeudSelect = (DefaultMutableTreeNode)arbre.getLastSelectedPathComponent();
    int reponse = JOptionPane.showConfirmDialog(arbre, 
      "Etes-vous sr de vouloir supprimer l'item "
      + ((Noeud)noeudSelect.getUserObject()).getNom() + " ?", 
      "Confirmation de suppression", 
      JOptionPane.YES_NO_CANCEL_OPTION, 
      JOptionPane.QUESTION_MESSAGE);
    if (reponse == JOptionPane.YES_OPTION) {
      noeudSelect.removeFromParent();
      ((DefaultTreeModel)arbre.getModel()).reload();
    }
  }
}
