package ihm;

import javax.swing.*;
import javax.swing.tree.*;
import java.awt.*;
import metier.*;

/**
 * Classe responsable de l'aspect graphique de l'arbre
 */
public class ArbreRenderer extends DefaultTreeCellRenderer {
    
  public Component getTreeCellRendererComponent(
    JTree arbre, 
    Object valeur, 
    boolean selectionne, 
    boolean etendu, 
    boolean feuille, 
    int ligne, 
    boolean avecFocus ) {

      JLabel label = null ;  
      if ( ((DefaultMutableTreeNode)valeur).getUserObject() instanceof Categorie) {
        label = (JLabel) super.getTreeCellRendererComponent(
          arbre, valeur, selectionne, etendu, false, ligne, avecFocus);
        label.setFont( new Font("Dialog", Font.BOLD, 12) );
      }
      else if ( ((DefaultMutableTreeNode)valeur).getUserObject() instanceof Signet) {
        label = (JLabel) super.getTreeCellRendererComponent(
          arbre, valeur, selectionne, etendu, true, ligne, avecFocus);
        label.setFont( new Font("Dialog", Font.ITALIC, 12) );
      }
      else {
        label = (JLabel) super.getTreeCellRendererComponent(
          arbre, valeur, selectionne, etendu, feuille, ligne, avecFocus);
      }
      return label;    
  }
  
}