package ihm;

import javax.swing.ImageIcon;
import java.net.URL;
import java.awt.*;

/**
 * Cete classe a pour rle de gerer des ImageIcon
 */
public class GestionnaireIcone {
  public static ImageIcon getIcone(String chemin, String nom) {
    ImageIcon result = null;
    try {
      URL imageUrl = ClassLoader.getSystemResource(chemin + nom);
      result = new ImageIcon(imageUrl);
    } catch(NullPointerException e) {
      System.err.println("Erreur de chargement de l'icone "+nom);
      System.err.println("Le fichier jlfgr-1_0.jar doit tre dans le CLASSPATH !");
      System.exit(-1);
    }
    return result;
  }
}