package applicatif;

import javax.swing.*;
import javax.swing.tree.*;
import java.awt.event.*;
import metier.*;

/**
 * Cette classe correspond  l'action de cration d'un nouveau noeud 
 * dans l'arbre des signets. 
 */
public class CreerNoeudAction extends ArbreAction {

  public CreerNoeudAction(JTree t) {
    super(t);
  }
  
  /**
   * Cette mthode vrifie que le noeud slectionn est une catgorie
   * et ajoute alors un signet  cette catgorie. 
   */
  public void actionPerformed(ActionEvent e) {
    DefaultMutableTreeNode noeudSelect = (DefaultMutableTreeNode)arbre.getLastSelectedPathComponent();
    if (noeudSelect == null) {
      JOptionPane.showMessageDialog(arbre, "Vous devez slectionner une catgorie", 
        "Impossible de crer", JOptionPane.ERROR_MESSAGE);
    }
    else  {
      Noeud categorie = (Noeud) noeudSelect.getUserObject();
      if (! (categorie instanceof Categorie)) {
        JOptionPane.showMessageDialog(arbre, "Vous devez slectionner une catgorie", 
          "Impossible de crer", JOptionPane.ERROR_MESSAGE);
      }
      else {      
        Signet signet = new Signet("Nouveau signet");
        DefaultMutableTreeNode noeudCree = new DefaultMutableTreeNode(signet);
        noeudSelect.add(noeudCree);
        ((DefaultTreeModel)arbre.getModel()).reload();
      }
    }
  }
}
