package ihm;

import java.awt.datatransfer.*;
import javax.swing.tree.DefaultMutableTreeNode;

public class NoeudTransferable implements Transferable {
	protected static final DataFlavor noeudFlavor = 
			new DataFlavor(DataFlavor.javaJVMLocalObjectMimeType, 
						"DataFlavor pour un DefaultMutableTreeNode");
	protected DefaultMutableTreeNode noeud;

	public NoeudTransferable(DefaultMutableTreeNode info) {
		noeud = info;
	}

	public Object getTransferData(DataFlavor flavor) {	
		if (isDataFlavorSupported(flavor))  {
			return noeud;
		} else {
			return null;
		}
	}
	public DataFlavor[] getTransferDataFlavors() {
		DataFlavor[] result = {noeudFlavor};
		return result;
	}
	public boolean isDataFlavorSupported(DataFlavor flavor) {
		return flavor.equals(noeudFlavor);
	}
	
	public static DataFlavor getNoeudFlavor() {
		return noeudFlavor;
	}
}