
package metier;
import java.io.Serializable;

/**
 * Cette classe abstraite reprsente les objets qui apparaissent dans l'arborescence
 * des favoris de l'utilisateur.
 * Il peut s'agir de catgories ou de signets.
 */
abstract public class Noeud implements Serializable {

  protected String nom;
  protected String description;

  public String getNom(){
    return nom;
  }

  public void setNom(String nom){
    this.nom = nom;
  }

  public String getDescription(){
    return description;
  }

  public void setDescription(String description){
    this.description = description;
  }

  public String toString() {
    return nom;
  }
}
